ViewChartForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class ViewChartForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartForm

All Implemented Interfaces:
  java.io.Serializable

    public class ViewChartForm

extends MetricDisplayRangeForm

Represents the controls on the metric chart page(s).

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NO_CHILD_TYPE`

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`ACTION_DATE_RANGE, ACTION_LASTN, nextRange, prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ViewChartForm()`

Method Summary
`java.lang.String` | `getBaseline()`
`java.lang.String` | `getBaselineRaw()`
`org.apache.struts.util.ImageButtonBean` | `getCancelBaseline()`
`org.apache.struts.util.ImageButtonBean` | `getCancelHighRange()`
`org.apache.struts.util.ImageButtonBean` | `getCancelLowRange()`
`org.apache.struts.util.ImageButtonBean` | `getChangeBaseline()`
`org.apache.struts.util.ImageButtonBean` | `getChangeHighRange()`
`org.apache.struts.util.ImageButtonBean` | `getChangeLowRange()`
`java.lang.String` | `getChartName()`
`java.lang.String` | `getCtype()`
`java.lang.String` | `getHighRange()`
`java.lang.String` | `getHighRangeRaw()`
`java.lang.String` | `getLowRange()`
`java.lang.String` | `getLowRangeRaw()`
`java.lang.Integer[]` | `getM()`
`java.lang.String` | `getMode()`
`java.lang.String` | `getNewBaseline()`
`java.lang.String` | `getNewBaselineRaw()`
`java.lang.Integer[]` | `getOrigM()`
`org.apache.struts.util.ImageButtonBean` | `getPrevPage()`
`org.apache.struts.util.ImageButtonBean` | `getRedraw()`
`java.lang.Integer[]` | `getResourceIds()`
`org.apache.struts.util.ImageButtonBean` | `getSaveBaseline()`
`boolean` | `getSaveChart()`
`org.apache.struts.util.ImageButtonBean` | `getSaveHighRange()`
`org.apache.struts.util.ImageButtonBean` | `getSaveLowRange()`
`boolean` | `getShowAverage()`
`boolean` | `getShowBaseline()`
`boolean` | `getShowEvents()`
`boolean` | `getShowHighRange()`
`boolean` | `getShowLow()`
`boolean` | `getShowLowRange()`
`boolean` | `getShowPeak()`
`boolean` | `getShowValues()`
`java.lang.Integer` | `getThreshold()`
`java.util.List` | `getThresholdMenu()`
`boolean` | `isCancelBaselineClicked()`
`boolean` | `isCancelHighRangeClicked()`
`boolean` | `isCancelLowRangeClicked()`
`boolean` | `isChangeBaselineClicked()`
`boolean` | `isChangeHighRangeClicked()`
`boolean` | `isChangeLowRangeClicked()`
`boolean` | `isPrevPageClicked()`
`boolean` | `isRangeNow()`
`boolean` | `isRedrawClicked()`
`boolean` | `isSaveBaselineClicked()`
`boolean` | `isSaveHighRangeClicked()`
`boolean` | `isSaveLowRangeClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setBaseline(java.lang.String baseline)`
`void` | `setBaselineRaw(java.lang.String baselineRaw)`
`void` | `setCancelBaseline(org.apache.struts.util.ImageButtonBean cancelBaseline)`
`void` | `setCancelHighRange(org.apache.struts.util.ImageButtonBean cancelHighRange)`
`void` | `setCancelLowRange(org.apache.struts.util.ImageButtonBean cancelLowRange)`
`void` | `setChangeBaseline(org.apache.struts.util.ImageButtonBean changeBaseline)`
`void` | `setChangeHighRange(org.apache.struts.util.ImageButtonBean changeHighRange)`
`void` | `setChangeLowRange(org.apache.struts.util.ImageButtonBean changeLowRange)`
`void` | `setChartName(java.lang.String chartName)`
`void` | `setCtype(java.lang.String ctype)`
`protected void` | `setDefaults()`
`void` | `setHighRange(java.lang.String highRange)`
`void` | `setHighRangeRaw(java.lang.String highRangeRaw)`
`void` | `setLowRange(java.lang.String lowRange)`
`void` | `setLowRangeRaw(java.lang.String lowRangeRaw)`
`void` | `setM(java.lang.Integer[] m)`
`void` | `setMode(java.lang.String mode)`
`void` | `setNewBaseline(java.lang.String newBaseline)`
`void` | `setNewBaselineRaw(java.lang.String newBaselineRaw)`
`void` | `setOrigM(java.lang.Integer[] origM)`
`void` | `setPrevPage(org.apache.struts.util.ImageButtonBean prevPage)`
`void` | `setRedraw(org.apache.struts.util.ImageButtonBean redraw)`
`void` | `setResourceIds(java.lang.Integer[] resourceIds)`
`void` | `setSaveBaseline(org.apache.struts.util.ImageButtonBean saveBaseline)`
`void` | `setSaveChart(boolean b)`
`void` | `setSaveHighRange(org.apache.struts.util.ImageButtonBean saveHighRange)`
`void` | `setSaveLowRange(org.apache.struts.util.ImageButtonBean saveLowRange)`
`void` | `setShowAverage(boolean showAverage)`
`void` | `setShowBaseline(boolean showBaseline)`
`void` | `setShowEvents(boolean showEvents)`
`void` | `setShowHighRange(boolean showHighRange)`
`void` | `setShowLow(boolean showLow)`
`void` | `setShowLowRange(boolean showLowRange)`
`void` | `setShowPeak(boolean showPeak)`
`void` | `setShowValues(boolean showValues)`
`void` | `setThreshold(java.lang.Integer threshold)`
`protected boolean` | `shouldValidate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `synchronizeDisplayRange()`
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`getA, getEid, getNextRange, getPrevRange, getRid, getRn, getRu, getType, getWantEndDate, isDateRangeSelected, isLastnSelected, isNextRangeClicked, isPrevRangeClicked, setA, setEid, setNextRange, setPrevRange, setRid, setRn, setRu, setType, shouldValidateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CHILD_TYPE

    public static java.lang.String NO_CHILD_TYPE

Constructor Detail

### ViewChartForm

    public ViewChartForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricDisplayRangeForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MetricDisplayRangeForm`

### getMode

    public java.lang.String getMode()

### setMode

    public void setMode(java.lang.String mode)

### getM

    public java.lang.Integer[] getM()

### setM

    public void setM(java.lang.Integer[] m)

### getOrigM

    public java.lang.Integer[] getOrigM()

### setOrigM

    public void setOrigM(java.lang.Integer[] origM)

### getResourceIds

    public java.lang.Integer[] getResourceIds()

### setResourceIds

    public void setResourceIds(java.lang.Integer[] resourceIds)

### getCtype

    public java.lang.String getCtype()

  Overrides:
    `getCtype` in class `MetricDisplayRangeForm`

### setCtype

    public void setCtype(java.lang.String ctype)

  Overrides:
    `setCtype` in class `MetricDisplayRangeForm`

### getShowPeak

    public boolean getShowPeak()

### setShowPeak

    public void setShowPeak(boolean showPeak)

### getShowHighRange

    public boolean getShowHighRange()

### setShowHighRange

    public void setShowHighRange(boolean showHighRange)

### getShowValues

    public boolean getShowValues()

### setShowValues

    public void setShowValues(boolean showValues)

### getShowAverage

    public boolean getShowAverage()

### setShowAverage

    public void setShowAverage(boolean showAverage)

### getShowBaseline

    public boolean getShowBaseline()

### setShowBaseline

    public void setShowBaseline(boolean showBaseline)

### getShowLowRange

    public boolean getShowLowRange()

### setShowLowRange

    public void setShowLowRange(boolean showLowRange)

### getShowLow

    public boolean getShowLow()

### setShowLow

    public void setShowLow(boolean showLow)

### getShowEvents

    public boolean getShowEvents()

### setShowEvents

    public void setShowEvents(boolean showEvents)

### getRedraw

    public org.apache.struts.util.ImageButtonBean getRedraw()

### setRedraw

    public void setRedraw(org.apache.struts.util.ImageButtonBean redraw)

### isRedrawClicked

    public boolean isRedrawClicked()

### isRangeNow

    public boolean isRangeNow()

### getSaveChart

    public boolean getSaveChart()

### setSaveChart

    public void setSaveChart(boolean b)

### getChangeBaseline

    public org.apache.struts.util.ImageButtonBean getChangeBaseline()

### setChangeBaseline

    public void setChangeBaseline(org.apache.struts.util.ImageButtonBean changeBaseline)

### isChangeBaselineClicked

    public boolean isChangeBaselineClicked()

### getSaveBaseline

    public org.apache.struts.util.ImageButtonBean getSaveBaseline()

### setSaveBaseline

    public void setSaveBaseline(org.apache.struts.util.ImageButtonBean saveBaseline)

### isSaveBaselineClicked

    public boolean isSaveBaselineClicked()

### getCancelBaseline

    public org.apache.struts.util.ImageButtonBean getCancelBaseline()

### setCancelBaseline

    public void setCancelBaseline(org.apache.struts.util.ImageButtonBean cancelBaseline)

### isCancelBaselineClicked

    public boolean isCancelBaselineClicked()

### getChangeHighRange

    public org.apache.struts.util.ImageButtonBean getChangeHighRange()

### setChangeHighRange

    public void setChangeHighRange(org.apache.struts.util.ImageButtonBean changeHighRange)

### isChangeHighRangeClicked

    public boolean isChangeHighRangeClicked()

### getSaveHighRange

    public org.apache.struts.util.ImageButtonBean getSaveHighRange()

### setSaveHighRange

    public void setSaveHighRange(org.apache.struts.util.ImageButtonBean saveHighRange)

### isSaveHighRangeClicked

    public boolean isSaveHighRangeClicked()

### getCancelHighRange

    public org.apache.struts.util.ImageButtonBean getCancelHighRange()

### setCancelHighRange

    public void setCancelHighRange(org.apache.struts.util.ImageButtonBean cancelHighRange)

### isCancelHighRangeClicked

    public boolean isCancelHighRangeClicked()

### getChangeLowRange

    public org.apache.struts.util.ImageButtonBean getChangeLowRange()

### setChangeLowRange

    public void setChangeLowRange(org.apache.struts.util.ImageButtonBean changeLowRange)

### isChangeLowRangeClicked

    public boolean isChangeLowRangeClicked()

### getSaveLowRange

    public org.apache.struts.util.ImageButtonBean getSaveLowRange()

### setSaveLowRange

    public void setSaveLowRange(org.apache.struts.util.ImageButtonBean saveLowRange)

### isSaveLowRangeClicked

    public boolean isSaveLowRangeClicked()

### getCancelLowRange

    public org.apache.struts.util.ImageButtonBean getCancelLowRange()

### setCancelLowRange

    public void setCancelLowRange(org.apache.struts.util.ImageButtonBean cancelLowRange)

### isCancelLowRangeClicked

    public boolean isCancelLowRangeClicked()

### getPrevPage

    public org.apache.struts.util.ImageButtonBean getPrevPage()

### setPrevPage

    public void setPrevPage(org.apache.struts.util.ImageButtonBean prevPage)

### isPrevPageClicked

    public boolean isPrevPageClicked()

### getBaseline

    public java.lang.String getBaseline()

### setBaseline

    public void setBaseline(java.lang.String baseline)

### getNewBaseline

    public java.lang.String getNewBaseline()

### setNewBaseline

    public void setNewBaseline(java.lang.String newBaseline)

### getHighRange

    public java.lang.String getHighRange()

### setHighRange

    public void setHighRange(java.lang.String highRange)

### getLowRange

    public java.lang.String getLowRange()

### setLowRange

    public void setLowRange(java.lang.String lowRange)

### getBaselineRaw

    public java.lang.String getBaselineRaw()

### setBaselineRaw

    public void setBaselineRaw(java.lang.String baselineRaw)

### getNewBaselineRaw

    public java.lang.String getNewBaselineRaw()

### setNewBaselineRaw

    public void setNewBaselineRaw(java.lang.String newBaselineRaw)

### getHighRangeRaw

    public java.lang.String getHighRangeRaw()

### setHighRangeRaw

    public void setHighRangeRaw(java.lang.String highRangeRaw)

### getLowRangeRaw

    public java.lang.String getLowRangeRaw()

### setLowRangeRaw

    public void setLowRangeRaw(java.lang.String lowRangeRaw)

### getThreshold

    public java.lang.Integer getThreshold()

### setThreshold

    public void setThreshold(java.lang.Integer threshold)

### getChartName

    public java.lang.String getChartName()

### setChartName

    public void setChartName(java.lang.String chartName)

### synchronizeDisplayRange

    public void synchronizeDisplayRange()

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `MetricDisplayRangeForm`

### shouldValidate

    protected boolean shouldValidate(org.apache.struts.action.ActionMapping mapping,
                                     javax.servlet.http.HttpServletRequest request)

  Overrides:
    `shouldValidate` in class `BaseValidatorForm`

### getThresholdMenu

    public java.util.List getThresholdMenu()

### setDefaults

    protected void setDefaults()

  Overrides:
    `setDefaults` in class `MetricDisplayRangeForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.